<?php
/*

Plugin Name: Social Bar
Plugin URI: http://ujwolbastakoti.info
Description: Social Bar Widget
Version: 1.0.0
Author: Ujwol Bastakoti
Author URI: http://ujwolbastakoti.info
License: GPLv2

*/

wp_register_style( 'socialbarCss', plugins_url('css/style.css',__FILE__ )); //register css
wp_register_style( 'tooltipCss', plugins_url('css/tooltipster.css',__FILE__ )); //register tooltip css
wp_register_script( 'tooltipJquery', plugins_url('js/jquery.tooltipster.min.js',__FILE__ )); //register tooltip css

class social_bar extends WP_Widget{
		public function __construct() {
			parent::__construct(
					'social_bar', // Base ID
					'Social Bar', // Name
					array( 'description' => __( 'Social Bar', 'text_domain' ), ) // Args
			);
		}
		
		
		
		public function form( $instance ) {
			if ( isset( $instance[ 'title' ] ) ) {
			
					$title = $instance[ 'title' ];
				}
			else {
					$title = __( 'Get Social', 'text_domain' );
				}
				
				
				//$form =	carousel_widget_backend_form();
				//echo($form);
				?>
				<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
				
				<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
				</p>
				<p>
				<label for="<?php echo $this->get_field_id( 'facebook_id' ); ?>"><?php _e( 'Facebook Username:' ); ?></label> 
				
				<input class="widefat" id="<?php echo $this->get_field_id( 'facebook_id' ); ?>" name="<?php echo $this->get_field_name( 'facebook_id' ); ?>" type="text" value="<?php echo esc_attr( $instance[ 'facebook_id' ]); ?>" />
				</p>
				<p>
				<label for="<?php echo $this->get_field_id( 'twitter_id' ); ?>"><?php _e( 'Twitter Username:' ); ?></label> 
				
				<input class="widefat" id="<?php echo $this->get_field_id( 'twitter_id' ); ?>" name="<?php echo $this->get_field_name( 'twitter_id' ); ?>" type="text" value="<?php echo esc_attr( $instance[ 'twitter_id' ] ); ?>" />
				</p>
				<p>
				<label for="<?php echo $this->get_field_id( 'google_id' ); ?>"><?php _e( 'Google+ Username:' ); ?></label> 
				
				<input class="widefat" id="<?php echo $this->get_field_id( 'google_id' ); ?>" name="<?php echo $this->get_field_name( 'google_id' ); ?>" type="text" value="<?php echo esc_attr( $instance[ 'google_id'] ); ?>" />
				</p>
				<p>
				<label for="<?php echo $this->get_field_id( 'linkedin_id' ); ?>"><?php _e( 'Linkedin Username:' ); ?></label> 
				
				<input class="widefat" id="<?php echo $this->get_field_id( 'linkedin_id' ); ?>" name="<?php echo $this->get_field_name( 'linkedin_id' ); ?>" type="text" value="<?php echo esc_attr( $instance[ 'linkedin_id' ] ); ?>" />
				</p>
				<p>
				
	<?php 
		}

		
		/**
		 * Sanitize widget form values as they are saved.
		 *
		 * @see WP_Widget::update()
		 *
		 * @param array $new_instance Values just sent to be saved.
		 * @param array $old_instance Previously saved values from database.
		 *
		 * @return array Updated safe values to be saved.
		 */
		public function update( $new_instance, $old_instance ) {
			$instance = array();
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['facebook_id'] = strip_tags( $new_instance['facebook_id'] );
			$instance['twitter_id'] = strip_tags( $new_instance['twitter_id'] );
			$instance['google_id'] = strip_tags( $new_instance['google_id'] );
			$instance['linkedin_id'] = strip_tags( $new_instance['linkedin_id'] );
			return $instance;
		}
		
		
		/**
		 * Front-end display of widget.
		 *
		 * @see WP_Widget::widget()
		 *
		 * @param array $args     Widget arguments.
		 * @param array $instance Saved values from database.
		 */
		public function widget( $args, $instance ) {
			wp_enqueue_style('socialbarCss');
			wp_enqueue_style('tooltipCss');
			wp_enqueue_script('tooltipJquery');
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
		
			echo $before_widget;
			if ( ! empty( $title ) )
				echo $before_title . $title . $after_title;
			?>
		
			
			<script type="text/javascript">
			jQuery(document).ready(function(){
				var tooltipTheme;
				
	            
                jQuery('.tooltip-p').mouseover(function(){
                     
                	 tooltipTheme = jQuery(this).attr('id')+"-theme";
                	 //alert(String(tooltipTheme));
                    });
	            	
	            	
	            	jQuery('.tooltip-p').tooltipster({
	            		functionReady:function(){jQuery('div.tooltipster-base').removeClass('tooltipster-default').addClass(tooltipTheme);},
					 	//theme: tooltipTheme,
					 	animation:'grow',
					 	interactive: true,
					 	position:'bottom',
					 	arrow:false,
					 	offsetY:-23,
					 	offsetX:15
				   });
				

				})
			</script>
			
			
			<section class="main">
			
				<ol class="ch-grid">
					<li>
						<div class="ch-item">				
							<div class="ch-info ch-info-gplus">
								<div class="ch-info-front ch-gplus"></div>
								<div class="ch-info-back ch-info-back-gplus" >
									<p class="tooltip-p"  id="gplus-tooltip" title='<a class="gplus-tooltip" href="https://plus.google.com/share?url=http://<?php echo ($_SERVER['HTTP_HOST']); ?>"  target="_blank">Share</a> | <a class="gplus-tooltip" href="https://plus.google.com/u/0/<?php echo esc_attr( $instance[ 'google_id' ]);?>"  target="_blank">Follow</a>'>Google+</p>
								</div>	
							</div>
						</div>
					</li>
					<li>
						<div class="ch-item">
							<div class="ch-info ch-info-facebook">
								<div class="ch-info-front ch-facebook"></div>
								<div class=" ch-info-back ch-info-back-facebook" >
									<p class="tooltip-p"  id="facebook-tooltip" title='<a class="facebook-tooltip" href="https://www.facebook.com/sharer/sharer.php?u=http://<?php echo ($_SERVER['HTTP_HOST']); ?>"  target="_blank">Share</a> | <a class="facebook-tooltip" href="http://facebook.com/<?php echo esc_attr( $instance[ 'facebook_id' ]); ?>"  target="_blank">Follow</a>'> Facebook</p>
								</div>
							</div>
						</div>
					</li>
					<li>
						<div class="ch-item">
							<div class="ch-info ch-info-twitter">
								<div class="ch-info-back ch-info-front ch-twitter"></div>
								<div class="ch-info-back ch-info-back-twitter ">
									
									<p class="tooltip-p"  id="twitter-tooltip" title='<a class="twitter-tooltip" href="http://twitter.com/share?hashtags=<?php echo(str_replace(' ','',get_bloginfo('name')));?>&url=http://www.<?php echo ($_SERVER['HTTP_HOST']); ?>&text=<?php bloginfo('name');echo':';bloginfo('description'); echo':'; wp_title('');?>"  target="_blank">Share</a> | <a class="twitter-tooltip" href="http://twitter.com/<?php echo esc_attr( $instance[ 'twitter_id' ]); ?>" target="_blank">Follow</a>'>Twitter</p>
								</div>
							</div>
						</div>
					</li>
					<li>
						<div class="ch-item">
							<div class="ch-info ch-info-linkedin">
								<div class="ch-info-front ch-linkedin"></div>
								<div class=" ch-info-back ch-info-back-linkedin" >
									
									<p class="tooltip-p" id ="linkedin-tooltip" title='<a class="linkedin-tooltip" href="http://www.linkedin.com/cws/share?url=http://<?php echo ($_SERVER['HTTP_HOST']); ?>"  target="_blank">Share</a> | <a class="linkedin-tooltip" href="http://www.linkedin.com/profile/view?id=<?php echo esc_attr( $instance[ 'linkedin_id' ]); ?>"  target="_blank">Connect</a>'>LinkedIn</p>
								</div>
							</div>
						</div>
					</li>
				</ol>
				
			</section>
		<?php 		
			
			echo $after_widget;
		}
		

}
add_action( 'widgets_init', create_function( '', 'register_widget( "social_bar" );' ) );


